drop_edge_attrs {DiagrammeR} | R Documentation

## Drop an edge attribute column

### Description

Within a graph's internal edge data frame (edf), remove an existing edge attribute.

### Usage

    drop_edge_attrs(graph, edge_attr)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`edge_attr` | the name of the edge attribute column to drop.

### Value

a graph object of class `dgr_graph`.

### Examples

    # Create a random graph using the
    # `add_gnm_graph()` function
    graph <-
      create_graph() %>%
      add_gnm_graph(
        n = 5,
        m = 6,
        set_seed = 23) %>%
      set_edge_attrs(
        edge_attr = value,
        values = 3) %>%
      mutate_edge_attrs(
        penwidth = value * 2)

    # Get the graph's internal
    # edf to show which edge
    # attributes are available
    graph %>%
      get_edge_df()

    # Drop the `value` edge
    # attribute
    graph <-
      graph %>%
      drop_edge_attrs(
        edge_attr = value)

    # Get the graph's internal
    # edf to show that the edge
    # attribute `value` had been
    # removed
    graph %>%
      get_edge_df()

[Package DiagrammeR version 1.0.1 Index]